package com.sso.rest.utils.common;

import com.alibaba.fastjson.JSONObject;

import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;

/**
 * @author: huyy
 * @date: 2018/8/24 11:42
 */
public class TypeChangeUtil {
    /**
     * 将账户中心传过来的数据传成JSON对象
     * @param msg
     * @return
     * @throws UnsupportedEncodingException
     */
    public static JSONObject stringToJSONObj(String msg) throws UnsupportedEncodingException {
        JSONObject object = new JSONObject();
        String[] kvs = msg.split("&");
        for (String kv : kvs) {
            String[] data = kv.split("=");
            String key = data[0];
            String value = data.length == 2 ? URLDecoder.decode(data[1], "UTF-8") : null;
            object.put(key, value);
        }
        return object;
    }
}
