package com.usoft.sso.rest.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.uas.sso.common.util.HttpUtil;
import com.usoft.sso.rest.service.DefaultTest;
import org.junit.Test;
import org.springframework.util.Assert;

/**
 * @author: huyy
 * @date: 2018/8/23 22:08
 */
public class EnterpriseControllerTest extends DefaultTest {
    @Test
    public void updateEntInfo() throws Exception {
        String url = baseUrl;
        url += "/api/public/enterprise";
        String formdata = "{\"userUU\":200002757,\"mobileArea\":\"continent\",\"validCode\":0,\"mobile\":\"19923832223\",\"mobileValidCode\":2,\"emailValidCode\":0,\"spaceName\":\"账户中心登录界9988使用公司\",\"businessCode\":\"889999\",\"password\":\"4617d76c1a1e2fb2ae9b4783c81cdedb\",\"vipName\":\"账户中88心\",\"spaceUU\":1,\"adminUU\":100009107,\"email\":\"\",\"identityValidCode\":0,\"registerDate\":1535015275404}";
        JSONObject json = JSON.parseObject(formdata);
        HttpUtil.ResponseWrap responseWrap = HttpUtil.doPost(url, json);
        Assert.isTrue(JSONObject.parseObject(responseWrap.getContent().toString()).getJSONObject("RespHeader").getInteger("code")== 0, " 返回码不为 0");
        System.out.println("------更新企业信息成功--------");
    }

}