package com.usoft.sso.rest.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.uas.sso.common.util.HttpUtil;
import com.usoft.sso.rest.service.DefaultTest;
import org.junit.Test;
import org.springframework.util.Assert;

import java.io.IOException;

/**
 * @author: huyy
 * @date: 2018/8/17 11:41
 */
public class UserControllerTest extends DefaultTest {
    @Test
    public void bindUserInfo() throws Exception {
        String url = baseUrl;
        url += "/api/public/user/bindUser";
        String formdata = "{\"userUU\":1000027107,\"spaceUU\":1,\"type\":\"bind\"}";
        JSONObject json = JSON.parseObject(formdata);
        HttpUtil.ResponseWrap responseWrap = HttpUtil.doPost(url, json);
        Assert.isTrue(JSONObject.parseObject(responseWrap.getContent().toString()).getJSONObject("RespHeader").getInteger("code")== 0, " 返回码不为 0");
        System.out.println("------绑定/解绑企业成功--------");

    }

    @Test
    public void saveUserInfo() throws Exception {
        String url = baseUrl;
        url += "/api/public/user";
        String formdata = "{\"userUU\":1000027107,\"mobileArea\":\"continent\",\"salt\":\"1000027107\",\"fromApp\":\"sso\",\"mobile\":\"14953214789\",\"mobileValidCode\":2,\"emailValidCode\":0,\"passwordLevel\":2,\"password\":\"09fa069fca82609563efc79d2a8d15c4\",\"vipName\":\"24味\",\"hasQuestion\":false,\"email\":\"\",\"identityValidCode\":0,\"registerDate\":1535008214726}";
        JSONObject json = JSON.parseObject(formdata);
        HttpUtil.ResponseWrap responseWrap = HttpUtil.doPost(url, json);
        Assert.isTrue(JSONObject.parseObject(responseWrap.getContent().toString()).getJSONObject("RespHeader").getInteger("code")== 0, " 返回码不为 0");
        System.out.println("------保存用户信息成功--------");

    }

}